Loading...
Searching...
No Matches
Dune::GridGlue::IntersectionIterator< P0, P1, inside, outside > Class Template Reference

`#include <dune/grid-glue/adapter/intersectioniterator.hh>`

Inheritance diagram for Dune::GridGlue::IntersectionIterator< P0, P1, inside, outside >:

## Public Types

typedef ::Dune::GridGlue::GridGlue< P0, P1 > | GridGlue
typedef ::Dune::GridGlue::Intersection< P0, P1, inside, outside > | Intersection

## Public Member Functions

| IntersectionIterator (const GridGlue GridGlue *glue, unsigned int i)
const Intersection & | dereference () const
void | increment ()
bool | equals (const IntersectionIterator &iter) const

## Detailed Description

template<typename P0, typename P1, int inside, int outside>
class Dune::GridGlue::IntersectionIterator< P0, P1, inside, outside >

Todo
  documentation

## Member Typedef Documentation

## GridGlue

template<typename P0, typename P1, int inside, int outside>

typedef ::Dune::GridGlue::GridGlue<P0, P1> Dune::GridGlue::IntersectionIterator< P0, P1, inside, outside >::GridGlue

## Intersection

template<typename P0, typename P1, int inside, int outside>

typedef ::Dune::GridGlue::Intersection<P0,P1,inside,outside> Dune::GridGlue::IntersectionIterator< P0, P1, inside, outside >::Intersection

## Constructor & Destructor Documentation

## IntersectionIterator()

template<typename P0, typename P1, int inside, int outside>

Dune::GridGlue::IntersectionIterator< P0, P1, inside, outside >::IntersectionIterator | ( | const GridGlue GridGlue * | glue,
|  | unsigned int | i )

inline

## Member Function Documentation

## dereference()

template<typename P0, typename P1, int inside, int outside>

const Intersection & Dune::GridGlue::IntersectionIterator< P0, P1, inside, outside >::dereference | ( |  | ) | const

inline

## equals()

template<typename P0, typename P1, int inside, int outside>

bool Dune::GridGlue::IntersectionIterator< P0, P1, inside, outside >::equals | ( | const IntersectionIterator< P0, P1, inside, outside > & | iter | ) | const

inline

## increment()

template<typename P0, typename P1, int inside, int outside>

void Dune::GridGlue::IntersectionIterator< P0, P1, inside, outside >::increment | ( |  | ) |

inline

The documentation for this class was generated from the following files:

- gridglue.hh
- intersectioniterator.hh